PUT Premier Roster Customization
https://pd.{shard}.a.pvp.net/premier/v1/rosters/{rosterid}/customization Set the customization (icon and colors) for a Premier roster.
Headers
-
X-Riot-ClientPlatform: {client platform} -
X-Riot-ClientVersion: {client version} -
X-Riot-Entitlements-JWT: {entitlement token} -
Authorization: Bearer {auth token}
URL Parameters
Other Variables
-
client platformA string representing the platform of the client. Base-64 encoded JSON with the following fields:
{ "platformType": "PC", "platformOS": "Windows", "platformOSVersion": "10.0.19042.1.256.64bit", "platformChipset": "Unknown" }ew0KCSJwbGF0Zm9ybVR5cGUiOiAiUEMiLA0KCSJwbGF0Zm9ybU9TIjogIldpbmRvd3MiLA0KCSJwbGF0Zm9ybU9TVmVyc2lvbiI6ICIxMC4wLjE5MDQyLjEuMjU2LjY0Yml0IiwNCgkicGxhdGZvcm1DaGlwc2V0IjogIlVua25vd24iDQp9is a value that works. -
client version -
entitlement tokenCan be obtained locally with the Entitlements Token endpoint or remotely using Riot auth and the Entitlement endpoint -
auth tokenCan be obtained locally with the Entitlements Token endpoint or remotely by first using the Auth Cookies endpoint then using the cookies with the Auth Request endpoint
Body
type PremierRosterCustomizationBody = {
/** UUID */
icon: string;
/** Unreal Engine color string */
primaryColor: string;
secondaryColor: string;
tertiaryColor: string;
}; {
"icon": "125Fd82c-CFCD-5c35-A2AC-7BeE2D2c0dD7",
"primaryColor": "adulescens",
"secondaryColor": "vinum",
"tertiaryColor": "totidem"
} Response
type PremierRosterCustomizationResponse = unknown; // Unable to generate example